Wind River Support Network

HomeDefectsLIN5-23279
Fixed

LIN5-23279 : Security Advisory - imagemagick - CVE-2017-11166

Created: Jul 13, 2017    Updated: May 29, 2018
Resolved Date: Aug 16, 2017
Found In Version: 5.0.1.40
Fix Version: 5.0.1.41
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The ReadXWDImage function in coders\xwd.c in ImageMagick 7.0.5-6 has a memory leak vulnerability that can cause memory exhaustion via a crafted length (number of color-map entries) field in the header of an XWD file.

https://nvd.nist.gov/vuln/detail/CVE-2017-11166

Other Downloads


Live chat
Online